-- =============================================  
-- Author:  Paolo Giovanetti  / TRINGALI PER FIDUCIARIE  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
CREATE procedure [C6MartPeriodico].[RP_DM_WSEICC]  
AS  
BEGIN  
 SET NOCOUNT ON;  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_DM_WSEICC',  
  GETDATE(),  
  'Elaborazione trimestrale'  
 )  
 declare @data varchar(8)
set @data= [C6MartPeriodico].[getTrimestre2](getdate(),0)
 TRUNCATE TABLE C6MartPeriodico.WSEICC 
 INSERT INTO C6MartPeriodico.[WSEICC]  
           ([DTTRIM]
      ,[RETE]
      ,[COD_FISCALE]
      ,[CODCONFC]
      ,[CODCONFPR]
      ,[is_APC])  
 SELECT distinct [DTTRIM]
      ,[RETE]
      ,case when CODMAN<>'' then 'FF@'+CODMAN
	  else CODFIS end 
      ,[CODCONFC]
      ,[CODCONFPR]
	  ,'S'
  FROM [C6StampeCentralizzate].[C6StagingPeriodico].[WSEICC]
  where 
  DTTRIM=@data
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_DM_WSEICC' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE  
   WHERE  
    Nome = 'RP_DM_WSEICC'  
  )  
END